// Classe ClientData armazena informaes de crdito do cliente.
#include <string>
using std::string;

#include "ClientData.h"

// construtor ClientData padro
ClientData::ClientData( int accountNumberValue, 
   string lastNameValue, string firstNameValue, double balanceValue )
{
   setAccountNumber( accountNumberValue );
   setLastName( lastNameValue );
   setFirstName( firstNameValue );
   setBalance( balanceValue );
} // fim do construtor ClientData

// obtm o valor do nmero da conta
int ClientData::getAccountNumber() const
{
   return accountNumber;
} // fim da funo getAccountNumber

// configura o valor do nmero da conta
void ClientData::setAccountNumber( int accountNumberValue )
{
   accountNumber = accountNumberValue; // deve validar
} // fim da funo setAccountNumber

// obtm o valor do sobrenome
string ClientData::getLastName() const
{
   return lastName;
} // fim da funo getLastName

// configura o valor do sobrenome
void ClientData::setLastName( string lastNameString )
{
   // copia no mximo 15 caracteres da string para lastName 
   const char *lastNameValue = lastNameString.data();
   int length = lastNameString.size();               
   length = ( length < 15 ? length : 14 );
   strncpy( lastName, lastNameValue, length );
   lastName[ length ] = '\0'; // acrescenta caractere nulo ao sobrenome
} // fim da funo setLastName

// obtm o valor do nome
string ClientData::getFirstName() const
{
   return firstName;
} // fim da funo getFirstName

// configura o valor do nome
void ClientData::setFirstName( string firstNameString )
{
   // copia no mximo 10 caracteres da string para firstName
   const char *firstNameValue = firstNameString.data();
   int length = firstNameString.size();
   length = ( length < 10 ? length : 9 );
   strncpy( firstName, firstNameValue, length );
   firstName[ length ] = '\0'; // acrescenta o caractere nulo a firstName
} // fim da funo setFirstName

// obtm o valor do saldo
double ClientData::getBalance() const
{
   return balance;
} // fim da funo getBalance

// configura o valor do saldo
void ClientData::setBalance( double balanceValue )
{
   balance = balanceValue;
} // fim da funo setBalance



